Обновление 3.14

Материал из WiKi - UserSide
Перейти к навигации Перейти к поиску

Версия: 3.14

Требуется версия: 3.10 и выше

Несколько слов от автора - особенности версии

  • Поддержка любых кабельных линий. Можно учитывать кроме ВОК ещё и коаксиальные кабеля, медь, слаботочку, СКД и т.п.
  • Добавили возможность настройки цепочки заданий для разных статусов работ, что позволит более гибко отстроить бизнес- процесс
  • Много мелких, но удобных доработок по карте покрытия и схеме коммутации
  • CWDM-дропы
  • Новый модуль usm_iferr. Мониторинг ошибок и динамики ошибок на портах оборудования. Давно просили.
  • И многое другое - список доработок немаленький
  • У нас обновился личный кабинет клиента (https://my.userside.eu). В нем также добавили систему оценки работы технической поддержки по тикетам. Пробуйте.


  • Регламент технической поддержки. Напоминаю, что мы поддерживаем, осуществляем консультацию и разбор ошибок только в рамках 3 последних версий (соответственно 3.14, 3.13 и 3.12). Для более ранних версий только рекомендуются обновления до последних сборок.
  • Обновление. Рекомендую иметь два инстанса системы. Отдельно действующую и отдельно тестовую. На тестовой вы можете периодически обновлять базу данных с действующей системы и проводить обновление, убеждаясь, что всё работает, ознакамливаться с нововведениями или выявлять моменты, которые у вас перестали работать.

Особенности в проведении обновления

  • Обновите PostgreSQL до 10 версии или выше (если это не было сделано ранее). Не забудьте библиотеку postgis подключить.
  • Если вы обновляетесь с версии 3.10 - ознакомьтесь со страницей: Обновление 3.11
  • Если вы обновляетесь с версии 3.11 и ранее - ознакомьтесь со страницей: Обновление 3.12
  • Если вы обновляетесь с версии 3.12 и ранее - ознакомьтесь со страницей: Обновление 3.13
  • С помощью автоматического инсталлятора выполните обновление. В случае ошибки в процессе обновления или если работа инсталлятора не была завершена корректно, запустите инсталлятор в режиме восстановления:
sudo -u www-data php userside_install.phar repair
  • Т.к. дополнительные поля для абонентов мигрировали в общие дополнительные поля - то для модуля usm_utm5 необходимо настроить новые переменные импорта значений доп.полей. Везде прописать нужные новые ID доп.полей. А именно:
вместо $additionalDataMerge использовать $additionalCustomerDataMerge
вместо $confImportUnlimited использовать $confImportCustomerUnlimited
вместо $confImportPassport использовать $confImportCustomerPassport

Список изменений: просмотреть

Проведение обновления: инструкция